Name:           kernel-module-qc-usb
Version:        0.6.0
Release:        0.fdr.2.2
Summary:        kernel module for Logitech QuickCam webcams using qc-usb.

Group:          System Environment/Kernel
License:        GPL
URL:            http://qce-ga.sourceforge.net/
Source:         http://download.sourceforge.net/qce-ga/qc-usb-%{version}.tar.gz
Patch:          qc-usb.autotools.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# what kernel are we building for ?
%{!?kernel: %define kernel %(uname -r)}
# get the correct kernel package release by stripping kernel modifiers
%define krel %(echo %{kernel} | sed -e s/smp//g -)
# get a type modifier for the kernel, (null) or -smp
%if %(echo %{kernel} | grep -c smp)
  %{expand:%%define ktype -smp}
%else
  %define ktype %{nil}
%endif

# what kernel "flavor" are we building for ?
%{expand:%%define post26 %(if echo %{kernel} | grep -c "^2\.[01234]" > /dev/null; then echo 0; else echo 1; fi)}

%if %{post26}
BuildRequires:	kernel-module-devel-%{krel}
ExclusiveArch:  i586 i686
%else
BuildRequires:	kernel-source = %{krel}
ExclusiveArch:  i686 athlon
%endif

# where the kernel build tree lives for 2.6
%define basedeveldir %{_libdir}/kernel-module-devel-%{krel}
%define develdir %{basedeveldir}/kernel%{ktype}-%{krel}.%{_target_cpu}.rpm

# since we have a patch to the build and run autogen.sh
BuildRequires:	automake
BuildRequires:	autoconf

# we don't want debug packages
%define __debug_package 0 

%description
This package contains a kernel module for the qc-usb Logitech QuickCam USB
driver.

You can rebuild this RPM by using
--target target_arch
--define "kernel (uname -r value)"

%package %{kernel}
Summary:	%{summary}
Group:		System Environment/Kernel
Provides:	kernel-module
Provides:	kernel-module-qc-usb = %{version}-%{release}
Requires:	/boot/vmlinuz-%{kernel}
Requires(pre):	modutils

%description %{kernel}
This package contains a kernel module for the qc-usb Logitech QuickCam USB
driver.

You can rebuild this RPM by using
--target target_arch
--define "kernel (uname -r value)"

%prep
%setup -q -n qc-usb-%{version}
%patch -p2

%build
bash autogen.sh || true

%if %{post26}
%configure --with-linuxdir=%{develdir}
%else
%configure \
  --with-rpm-target=%{_target_cpu} \
  --with-kernel-release=%{kernel} \
  --with-linuxdir=/usr/src/linux-%{krel}
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall modulesdir=$RPM_BUILD_ROOT/lib/modules/%{kernel}

# if we want to package binaries, it should be in a separate package
rm -rf $RPM_BUILD_ROOT/%{_bindir}/qcset

%clean
rm -rf $RPM_BUILD_ROOT

%post %{kernel}
depmod -ae -F /boot/System.map-%{kernel} %{kernel} > /dev/null

%postun %{kernel}
depmod -ae -F /boot/System.map-%{kernel} %{kernel} > /dev/null

%files %{kernel}
%defattr(-,root,root,-)
/lib/modules/%{kernel}/kernel/drivers/video/quickcam.*ko

%changelog
* Wed Jun 16 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6.0-0.fdr.2: updated for both 2.4 and 2.6

* Sun Feb 29 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package
